/*=============== REGISTER ===============*/
.register {
    background-color: var(--headings);
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    position: relative;
    padding-block: 211px 86px;

    .register__container {
        width: 100%;
        min-height: 100vh;
        display: grid;
        grid-template-columns: 55% 45%;

        /*=============== RIGHT PANEL (FORM) ===============*/
        .register__form__panel {
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 40px;
            z-index: 2;

            .register__card {
                background-color: var(--white);
                width: 100%;
                max-width: 609px;
                border-radius: 12px;
                padding: 48px 64px;
                position: relative;
                display: flex;
                flex-direction: column;
                gap: 58px;

                .hedaer__form {
                    display: flex;
                    flex-direction: column;
                    gap: 8px;
                }

                /* Back Button */
                .back__btn {
                    position: absolute;
                    top: 20px;
                    left: 20px;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    gap: 8px;
                    color: var(--subtext);
                    font-size: 20px;
                    font-weight: var(--font-regular);
                    transition: color 0.3s ease;

                    &:hover {
                        color: var(--red);
                    }

                    i {
                        margin-top: 8px;
                    }
                }

                .register__title {
                    font-size: 28px;
                    font-weight: var(--font-medium);
                    color: #292524;
                }

                .register__subtitle {
                    font-size: 16px;
                    color: #57534E;
                }

                .register__form {
                    display: flex;
                    flex-direction: column;
                    gap: 22px;

                    .register__group {
                        display: flex;
                        flex-direction: column;
                        gap: 8px;
                        text-align: right;

                        label {
                            font-size: 20px;
                            font-weight: var(--font-regular);
                            color: var(--headings);
                        }

                        .register__input,
                        .register__textarea {
                            text-align: right;
                            width: 100%;
                            background-color: white;
                            border: 1px solid #D6D3D1;
                            border-radius: 4px;
                            padding: 14px 16px;
                            font-size: 16px;
                            font-weight: var(--font-semi-bold);
                            color: var(--subtext);
                            outline: none;
                            transition: all 0.3s ease;

                            &::placeholder {
                                color: var(--subtext);
                            }

                            &:focus {
                                border-color: var(--orang);
                                color: var(--orang);

                                &::placeholder {
                                    color: var(--orang);
                                }
                            }
                        }

                        .register__textarea {
                            min-height: 140px;
                            resize: none;
                        }
                    }

                    .register__submit__btn {
                        width: 100%;
                        background-color: var(--blue);
                        color: var(--white);
                        border: none;
                        border-radius: 8px;
                        padding: 16px;
                        font-size: 24px;
                        font-weight: var(--font-medium);
                        font-family: var(--body-font);
                        cursor: pointer;
                        transition: background-color 0.3s ease;
                        margin-top: 10px;

                        &:hover {
                            background-color: var(--blue-hover);
                        }
                    }
                }
            }
        }

        /*=============== LEFT PANEL (INFO) ===============*/
        .register__info__panel {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            position: relative;
            z-index: 2;
            text-align: center;

            .register__info__content {
                max-width: 580px;
                display: flex;
                flex-direction: column;
                align-items: center;
                z-index: 3;

                .logo__link {
                    display: inline-block;
                    margin-bottom: 10px;

                    .logo__img {
                        max-width: 606px;
                        width: 100%;
                        height: 297px;
                    }
                }

                .register__info__title {
                    font-size: 48px;
                    font-weight: var(--font-bold);
                    color: var(--white);
                    margin-bottom: 3px;
                }

                .register__info__subtitle {
                    font-size: 18px;
                    font-weight: var(--font-regular);
                    color: #D9D9D9;
                }
            }
        }
    }

    &::after {
        content: '';
        position: absolute;
        top: 70%;
        left: 0;
        transform: translateY(-50%);
        width: 948px;
        height: 465px;
        background-image: url(../image/way-2.png);
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
    }
}

.wpcf7-spinner{
	display: none !important;
}

/*=============== RESPONSIVE (REGISTER) ===============*/
@media (max-width: 1200px) {
    .register {
        .register__container {
            .register__info__panel {
                .register__info__content {
                    .logo__link {
                        .logo__img {
                            max-width: 450px;
                            height: auto;
                        }
                    }
                    .register__info__title {
                        font-size: 38px;
                    }
                }
            }
        }
    }
}

@media (max-width: 991px) {
    .register {
        padding-block: 170px 50px;

        .register__container {
            grid-template-columns: 1fr;
            min-height: auto;
            gap: 40px;

            .register__info__panel {
                order: 1;
                padding-inline: 20px;
                
                .register__info__content {
                    max-width: 100%;
                    
                    .logo__link {
                        .logo__img {
                            max-width: 320px;
                            height: auto;
                        }
                    }
                    .register__info__title {
                        font-size: 32px;
                    }
                }
            }

            .register__form__panel {
                order: 2;
                padding: 20px;

                .register__card {
                    padding: 40px;
                    gap: 30px;
                }
            }
        }
    }
}

@media (max-width: 768px) {
    /* Standard Empty Media Cascade Block */
}

@media (max-width: 576px) {
    .register {
        .register__container {
            .register__info__panel {
                .register__info__content {
                    .register__info__title {
                        font-size: 26px;
                    }
                    .register__info__subtitle {
                        font-size: 16px;
                    }
                }
            }

            .register__form__panel {
                .register__card {
                    padding: 30px 20px;
                    
                    .register__title {
                        font-size: 24px;
                    }
                    
                    .register__form {
                        .register__group {
                            label {
                                font-size: 16px;
                            }
                            .register__input, .register__textarea {
                                padding: 12px;
                                font-size: 15px;
                            }
                        }
                        
                        .register__submit__btn {
                            font-size: 18px;
                            padding: 14px;
                        }
                    }
                }
            }
        }
		
		&::after{
			top: 35%;
		}
    }
}